Bug 1277722 - SELinux is preventing ip from 'write' accesses on the file /var/lib/libvirt/libxl/save/s0.save.
SELinux is preventing ip from 'write' accesses on the file /var/lib/libvirt/l...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:2807973c15c757f4c2c66f3556c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 17:35 EST by sudikeru
Modified: 2016-04-14 12:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 12:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sudikeru 2015-11-03 17:35:39 EST
Description of problem:
Start Fedora 22
SELinux is preventing ip from 'write' accesses on the file /var/lib/libvirt/libxl/save/s0.save.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что ip следует разрешить доступ write к s0.save file по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep ip /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:ifconfig_t:s0-s0:c0.c1023
Target Context                system_u:object_r:virt_var_lib_t:s0
Target Objects                /var/lib/libvirt/libxl/save/s0.save [ file ]
Source                        ip
Source Path                   ip
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.16.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-200.fc22.x86_64 #1 SMP Thu
                              Oct 8 03:23:55 UTC 2015 x86_64 x86_64
Alert Count                   3
First Seen                    2015-10-28 22:12:28 MSK
Last Seen                     2015-10-28 22:12:28 MSK
Local ID                      33e9877d-18cc-4ace-a82a-a99cc5c166b6

Raw Audit Messages
type=AVC msg=audit(1446059548.323:940): avc:  denied  { write } for  pid=11083 comm="ip" path="/var/lib/libvirt/libxl/save/s0.save" dev="sda12" ino=791915 scontext=system_u:system_r:ifconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:virt_var_lib_t:s0 tclass=file permissive=0


Hash: ip,ifconfig_t,virt_var_lib_t,file,write

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2015-11-20 10:21:23 EST
Is functionality of libvird broken?
Comment 2 Cole Robinson 2016-04-14 12:05:23 EDT
Despite multiple attempts across multiple bugs sudikeru@freeletter.me hasn't
responded to NEEDINFO and infact the mail address bounces. Closing this as
INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.